Subject: Thanks
From: "Patty and Mike Finan" <[email-masked]>
To: "TJ Gaffney" <[email-masked]>
Date: Thu, 21 Jul 2005 08:55:02 -0400

Hi TJ,

Hope you had a safe trip back. Thanks so much for coming! I felt it went very well and everyone seemed to enjoy the class. I have an extra power strip - did you leave one by any chance? I can keep it until next weekend or mail it to you, whatever you want. I hope you can make it back up for Red Letter Day - we'd be glad to have you!

Thanks again!
Patty Finan
Huron City Museums
7995 Pioneer Drive
Port Austin MI 48467
989 738-6007